### Function

# Gio io_scheduler_push_job

deprecated: 2.36

#### Declaration [src]

    void
    g_io_scheduler_push_job (
      GIOSchedulerJobFunc job_func,
      gpointer user_data,
      GDestroyNotify notify,
      gint io_priority,
      GCancellable* cancellable
    )

#### Description [src]

Schedules the I/O job to run in another thread.

`notify` will be called on `user_data` after `job_func` has returned, regardless whether the job was cancelled or has run to completion.

If `cancellable` is not `NULL`, it can be used to cancel the I/O job by calling `g_cancellable_cancel()` or by calling g_io_scheduler_cancel_all_jobs().

Deprecated since: 2.36

Use `GThreadPool` or g_task_run_in_thread().

#### Parameters

`job_func`

  Type: `GIOSchedulerJobFunc`

  A `GIOSchedulerJobFunc`.

`user_data`

  Type: `gpointer`

  Data to pass to `job_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`notify`

  Type: `GDestroyNotify`

  A `GDestroyNotify` for `user_data`, or `NULL`.

  The argument can be `NULL`.

`io_priority`

  Type: `gint`

  The I/O priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.